package com.mdp.voice;

import java.text.SimpleDateFormat;
import java.util.Date;

public class Util {

	private static long lStartTime = 0;
	private static long lThisTime = 0;
	
	public static void logger(String s) {
		if ( lStartTime > 0 ) {
			lThisTime = System.currentTimeMillis() - lStartTime;
		}
		
	    lStartTime = System.currentTimeMillis();
		
		System.out.println( getFormattedDate() + "[" + lThisTime + "]"  + " JRDDesktop: " + s);
	}
	
	/**
	 * Get formatted date
	 * @return
	 */
	public static String getFormattedDate() {
		Date now = new Date();
		SimpleDateFormat sdf = new SimpleDateFormat("MM/dd/yy HH:mm:ss.SSS");
		return sdf.format(now);
	}

	/**
	 * Sleep for a period of time.
	 * 
	 * @param i
	 */
	protected static void sleep( int i ) {
		try {
			Thread.sleep( i );
		} catch ( Exception e ) {
			// ignore
		}
	}
}
